%define oname kinfocenter

Summary:	Plasma 5 module that provides information about computer
Name:		plasma5-%{oname}
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Test)
Conflicts:	kinfocenter

%description
Plasma 5 module that provides information about computer.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/org.kde.kinfocenter.desktop
%{_kde5_bindir}/kinfocenter
%{_kde5_datadir}/kcmusb/usb.ids
%{_kde5_datadir}/kcmview1394/oui.db
%dir %{_kde5_datadir}/kpackage/kcms/kcm_energyinfo/
%{_kde5_datadir}/kpackage/kcms/kcm_energyinfo/*
%dir %{_kde5_datadir}/kpackage/kcms/kcm_fileindexermonitor/
%{_kde5_datadir}/kpackage/kcms/kcm_fileindexermonitor/*
%{_kde5_services}/*.desktop
%{_kde5_servicetypes}/kinfocentercategory.desktop
%{_kde5_xmlguidir}/kinfocenter/kinfocenterui.rc
%{_qt5_plugindir}/*.so
%{_qt5_plugindir}/kcms/kcm_energyinfo.so
%{_qt5_plugindir}/kcms/kcm_fileindexermonitor.so
# Possibly should be rather dropped
%{_datadir}/desktop-directories/kinfocenter.directory

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# Should be rather merged to system config later
rm -rf %{buildroot}%{_kde5_sysconfdir}/xdg/menus/kinfocenter.menu

%find_lang %{oname} --all-name --with-html --with-kde
%kf5locales_fix %{oname}.lang



%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (89116f7) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (9efc04f) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (90f618c) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (e4b0185) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (9b476f3) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (ccad07f) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (768be2c) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (a1d6d44) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (0af13e5) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (94ab051) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (3348efe) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (cb08586) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (1985aa2) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (47d44d2) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (cc0cbf4) MassBuild#1027: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (e48322e) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (0a50f39) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (e8fe200) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (7b49f4b) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (eb3ebb2) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (3a37499) Update files (add kcm_fileindexermonitor parts)
- (Andrey Bondrov: 31a6ebd) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (b776ae3) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (648093e) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (7f19243) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (5101d87) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (2b17ef8) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (ba02248) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (449ea2f) New version 5.3.1

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.0-1
- (4871cb8) Add energyinfo kcm module


